Skip navigation.
Home
The QNX Community Portal

View topic - QNX4 2010

QNX4 2010

For the old QNX2 and QNX4 RTOS

QNX4 2010

Postby ingraham » Mon May 02, 2011 10:41 pm

I've been playing around with the QNX4 2010 release. Generally, there's nothing major. A few things are worth mentioning.

1) For some reason, the video drivers seem to work better for built-in video than they did in the past. This is despite the fact they don't actually seem to have been updated since we last played around.

2) The video drivers work with an S3 Chrome based PCI Express video card from Itox. This is good because it's got a 5 year lifespan, so it's not going to disappear on me the second I try to order another one. Oddly, the Pg.unichrome driver doesn't seem to work with it; I used the vesabios driver. Speed was still okay. (It originally detected with Hydra, which was pretty slow; I had to manually alter the crttrap.)

3) Much better luck with network cards, although a built-in Marvell chip we had was not supported. It's possible that some of these have been out for a while and we just hadn't bothered, but it's nice to know I can get an off-the-shelf gigabit network card to work.

4) USB support seems better. Usually, it takes us a while to find a problem with driver support. They normally pop up at 2am with a customer down. However, so far so good.

5) I could not get it to boot off of USB. Oddly, we can make an older version boot off of USB. There's an io-usb-ehci driver that cuts down on size to try and squeeze under the size limit of the .boot file, but even so it just won't work.

7) What started all this was a brand-spanking new Socket 1156 / Core i series motherboard. Our older version of QNX would not boot on it, declaring "No Adaptors found!" when Fsys.eide would run in the .boot. Switching to the new Fsys.atapi fixed this. I don't know if an earlier version of Fsys.atapi would have worked; we haven't been checking on most of the driver releases. I also think Fsys.atapi is a misnomer; it handles all ATA / EIDE functions, not just ATAPI devices.

8) After deleting a bunch of stuff I don't need I got the size of a dev seat down to a little under 100MB. Haven't tried to see how small my runtime will be without help files, phab, watcom, etc.

9) Still stuck with old versions of tar, ls, etc. Still no zip, 7-zip, bzip2, etc. Still pretty much impossible to download a random open source program and build it.

Anyone else want to share their thoughts?

-James Ingraham
Sage Automation, Inc.
ingraham
Senior Member
 
Posts: 160
Joined: Wed Nov 05, 2003 2:25 pm
Location: Texas

RE: QNX4 2010

Postby mario » Tue May 03, 2011 1:13 pm

Only thing I have to say is : http://www.openqnx.com/downloads/7za439Beta_qnx4.tar.gz. I also have bzip2 on my system. Not sure where it came from but I suspect it's from QNX ftp site.

QNX4 is older then XP and XP isn't supported anymore ;-)
mario
QNX Master
 
Posts: 4132
Joined: Sun Sep 01, 2002 1:04 am

RE: QNX4 2010

Postby maschoen » Tue May 03, 2011 2:16 pm

Mario,

I hope we never start using the behavior of Microsoft as the standard we aspire to. :-).

Mitchell
maschoen
QNX Master
 
Posts: 2644
Joined: Wed Jun 25, 2003 5:18 pm

Postby ingraham » Tue May 03, 2011 4:18 pm

Obviously you didn't try that link, Mario. It's dead. I found it before I posted.

Yes, it's true that QNX4 is very old. And, in fact, I'd prefer to migrate my customers to QNX6. But that costs money, and my customers won't really see any benefit. Still, might we have had a better tar in 2000? (According to the release notes for GNU tar, that's when the -j option was added. Presumably, the -z option came before that. Not sure when --exclude-from was added; I can't find a reference earlier than 2006, but I'm pretty sure QNX 6.2.1 had it, and that was before 2004.) Of course, when QNX was pushing hard on 6 / Neutrino / Momentics, 4 was basically ignored. I'm glad that they're now putting some effort into keeping drivers up to date. However, I can still be picky and cranky.

I've also been playing with 6.5. I'll post on that sometime relatively soon.

-James Ingraham
Sage Automation, Inc.
ingraham
Senior Member
 
Posts: 160
Joined: Wed Nov 05, 2003 2:25 pm
Location: Texas

Postby mario » Tue May 03, 2011 10:13 pm

Ah it's because there is a '.' in the link in my post get rid of it and it will work.

Mitchell I'm pointing out that QSSL is still support QNX4 while Windows isn't support XP anymore, so QSSL win here ;-)
mario
QNX Master
 
Posts: 4132
Joined: Sun Sep 01, 2002 1:04 am

Postby ingraham » Wed May 04, 2011 3:26 pm

@Mario: I stand corrected. Also not sure why, when I found the thread earlier, I couldn't get it to work because the link appears correct in the post. Of course, a 2005 version labeled "beta" relying on a beta package (that I don't think I have) that was an "ugly" port isn't something I particularly want to rely on. Still, better than nothing.

-James Ingraham
Sage Automation, Inc.
ingraham
Senior Member
 
Posts: 160
Joined: Wed Nov 05, 2003 2:25 pm
Location: Texas


Return to QNX2 and QNX4

Who is online

Users browsing this forum: No registered users and 1 guest